import os
import flask
from flask import request, render_template

from search import *
from poetry import *
from words import *

APP = flask.Flask(__name__)

folder = './manifestos/'

@APP.route('/')
def index():
	manifestos = os.listdir(folder)
	return render_template('index.html', manifestos=manifestos)

@APP.route('/<filename>')
def read_manifesto(filename):
	f = open(folder+filename, 'r')
	text = f.read()
	lines = text.split('. ')
	return render_template('manifesto.html', filename=filename, text=text, lines=lines)

@APP.route('/search')
def search_manifesto():
	query = request.args.get('query', '')
	result = search(query)
	return render_template('search.html', query=query, result=result)

@APP.route('/words')
def index_words():
	countedwords = words()
	return render_template('words.html', countedwords=countedwords)

@APP.route('/poetry')
def create_poetry():
	result = poetry()
	return render_template('poetry.html', result=result)

if __name__ == '__main__':
	APP.debug=True
	APP.run(port=5000)

# string = request.args.get('plaintext', '')
# methods=['GET', 'POST']
